%global dlrn_nvr manila-tempest-plugin-1.4.0-2.20220914204731.f083c71
%global dlrn 1
%define upstream_version 1.4.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global service manila
%global plugin manila-tempest-plugin
%global module manila_tempest_tests
%global with_doc 0

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This package contains Tempest tests to cover the manila project. \
Additionally it provides a plugin to automatically load these tests \
into Tempest.

Name:       python-%{service}-tests-tempest
Epoch:      1
Version: 1.4.0
Release: 2.20220914204732%{?dist}
Summary:    Tempest Integration of manila Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0: manila-tempest-plugin-1.4.0-2.20220914204731.f083c71.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=f083c71a9396a5a6f3300d3150b7fc1bee2c57c5
Patch0001: 0001-Fix-API-version-test-skip-logic.patch
Patch0002: 0002-Remove-unneeded-randomness-when-calling-ddt.data.patch

BuildArch:  noarch
BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python%{pyver}-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python%{pyver}-%{service}-tests-tempest}
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools

Obsoletes:   python-manila-tests < 6.0.0

Requires:   python%{pyver}-pbr >= 3.1.1
Requires:   python%{pyver}-ddt
Requires:   python%{pyver}-tempest >= 1:18.0.0
Requires:   python%{pyver}-oslo-log >= 3.36.0

%description -n python%{pyver}-%{service}-tests-tempest
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{service}-tests-tempest-doc
Summary:        python-%{service}-tests-tempest documentation

BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-openstackdocstheme

%description -n python-%{service}-tests-tempest-doc
It contains the documentation for the manila tempest plugin.
%endif

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%{pyver_build}

# Generate Docs
%if 0%{?with_doc}
# generate html docs
sphinx-build-%{pyver} -W -b html doc/source doc/build/html
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

%files -n python%{pyver}-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{service}-tests-tempest-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Thu Nov 10 2022 Thierry Vignaud <tvignaud@redhat.com> 1:1.4.0-2.20220914204732
- Update patches

* Wed Sep 14 2022 OSP Prod Chain <dev-null@redhat.com> 1:1.4.0-2.20220914204731.f083c71
- Remove unneeded randomness when calling ddt.data() (rhbz#1980736)

* Tue Jun 29 2021 OSP Prod Chain <dev-null@redhat.com> 1:1.4.0-2.20210629204822.f083c71
- Fix API version test skip logic (rhbz#1971289)

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1:1.4.0-2.20210527221752.f083c71
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1:1.4.0-2.20210527144808.f083c71
- Update patches
- Add create share from snapshot in CephFS
- Added test_create_access_rule_cephx_admin_user testcase
- Harden manage negative tests
- Add tests for share size limited by share type.
- Move share server creation check under admin test suite
- Add "member" role to admin project member users
- Refactor public share test cases
- Remove a duplicated skipped functions
- Consolidate waiters methods
- Fix extra specs for share type
- tox miniversion update to 3.1.1
- Removing an unnecessary 'BaseSharesAltTest' class
- [Negative] Get share from other project
- Fixed a sporadic failure in test_delete_share_in_manage_error
- Fix 'ss-type' conflicts in security service tests
- Enable running multi-backends tests with different share protocols
- Remove further randomness when calling ddt.data()
- Moving resource waiters to a new module
- Moving skip conditions under skip_check classmethod
- Fix test tag
- [CI] Switch cephfs-nfs job to focal fossa
- Tests: reduce concurrency for cephfs-nfs job
- Add doc/requirements
- Update TOX_CONSTRAINTS_FILE
- Adds get default share type function
- [ci] Switch glusterfs-nfs job to focal fossa
- [ci] Switch lvm driver job to focal fossa
- [ci] Switch generic driver job to focal fossa
- [ci] Switch zfsonlinux job to focal fossa
- Use the same access rule for both instances
- [ci] Copy ganesha logs in the ceph-nfs job
- Preserve the items order when calling ddt.data()

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> 1:1.2.0-1
- Update patches
- Keep few integration jobs running on Bionic
- Fix export location sent to manage share operation
- Fix share server migration tests
- Don't ignore invalid export location ip version
- Increase CephFS backing file size
- [Negative] Create share with non allowed share type
- Add tests for share server migration
- Remove unused "_ping_host_from_export_location" method
- Add uuid for tests
- Ping to export location until it is reachable
- Add share resize scenario tests for CephFS Native
- Revert CephFS test image to Bionic Beaver
- SSH over IPv4 when using a storage network
- Remove experimental flag from share replication feature
- Fix skip condition for "test_default_share_group_type_applied"
- Add flake8-import-order extension to tox.ini
- Ensure share server is created when driver handles share servers
- Fixed InvalidConfiguration() exception to print correct message
- Zuulv3 native "standalone" GlusterFS native, NFS jobs
- Add Zuulv3 native jobs for the dummy driver
- Add py38 package metadata

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:1.1.0-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:1.1.0-1
- Update patches

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:1.1.0-1
- Update patches
- Verify applying a new cephx rule after a previous failure
- [ci] Re-enable scenario tests in the LVM job
- Fix ReplicaQuotasNegativeTest
- Fix usage of tenant_id in tests
- Add native zuulv3 job for cephfs nfs
- Enable snapshot tests in the CephFS job
- [ci] Temporarily disable scenario tests
- Seek network resources from tempest
- Add security service to share networks
- Stop forcing creation of "isolated" credentials
- [ci] Use dynamic credential provider in DHSS=False tests
- Skip snapshot cloning if there is no capability
- Add CephFS Native scenario tests
- Preparation for support scenario tests on CephFS Native
- Add native zuulv3 job for cephfs native
- Cleanup access rule test skip conditions
- [Negative] Test different tenants cannot use same cephx id
- Zuulv3 generic driver testing
- Fix hacking min version to 3.0.1
- Test different users in same tenant can use same cephx id
- Fix pep8 issues
- Fix dict.values usage
- Skip multi availability zones test when there is a single az
- Add native zuulv3 job for container
- Add native zuulv3 job for lvm
- TrivialFix: Remove unnecessary import
- Add native zuulv3 job for zfsonlinux
- Rename "_get_ip_server_ip" method to "_get_server_ip"
- Specifies the appropriate ip address in case of multi-networking

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:1.0.0-1
- Specifies the appropriate ip address in case of multi-networking

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:1.0.0-1
- Specifies the appropriate ip address in case of multi-networking

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:1.0.0-1
- Specifies the appropriate ip address in case of multi-networking

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:0.4.0-1
- Fix pep8 issues
- Fix dict.values usage
- Skip multi availability zones test when there is a single az
- Add native zuulv3 job for container
- Add native zuulv3 job for lvm
- TrivialFix: Remove unnecessary import
- Add native zuulv3 job for zfsonlinux
- Rename "_get_ip_server_ip" method to "_get_server_ip"
- Specifies the appropriate ip address in case of multi-networking
- Update shrink scenario tests
- Functional tests for create share from snapshot different pools/azs
- Removing duplicated availability zones from tests
- [ussuri][goal] Add CONTRIBUTING.rst
- Fix floatingip allocation
- Update docs building
- Drop install_command usage in tox
- Remove experimental flag from share groups feature
- Remove deprecated scenario image options
- Fix failing quota tests in stable branches
- Fix ipv6 skip condition
- Fix export location used for extend/shrink tests
- Move skipping conditions under skip_checks method
- Tighten asserts around time filters
- Update share quota functional tests
- Add function to test user messages query by timestamp
- Fix export location negative tests
- Fix hacking test requirement
- Update hacking for Python3
- Refactoring skip conditions process
- Add knowledge of storage network to scenario tests
- Fix export locations tests
- Fix link to bug tracker
- Move all conditions skipped under "skip_checks" method
- Fix resources cleanup
- Use a single keypair for multiple instances
- [ussuri][goal] Drop python2.7 support
- Skip subnets test when version 2.51 is not supported
- Skip update share type tests for microversion lower than 2.50
- Update subnet test to not use pre-created share network
- Update the constraints url

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:0.4.0-1
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:0.4.0-1
- Update patches

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:0.4.0-1
- Update patches

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 1:0.4.0-1
- Skip subnets test when version 2.51 is not supported
- Skip update share type tests for microversion lower than 2.50
- Update subnet test to not use pre-created share network
- Update the constraints url
- Merge "Skip subnets test when version 2.51 is not supported"
- Merge "Update subnet test to not use pre-created share network"
- Skip subnets test when version 2.51 is not supported
- Skip update share type tests for microversion lower than 2.50
- Update subnet test to not use pre-created share network
- Update the constraints url

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 1:0.4.0-1
- Update to 0.4.0


